Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.rtf.document
Class RtfDocumentSettings

    java.lang.Object
      com.lowagie.text.rtf.document.RtfDocumentSettings

    public class RtfDocumentSettings

extends Object

The RtfDocumentSettings contains output specific settings. These settings modify how the actual document is then generated and some settings may mean that some RTF readers can't read the document or render it wrongly.

Version:
  $Id: RtfDocumentSettings.java 2776 2007-05-23 20:01:40Z hallm $
Author:
  Mark Hall (mhall@edu.uni-klu.ac.at), Thomas Bickel (tmb99@inode.at)

Field Summary
`private boolean` | `alwaysGenerateSoftLinebreaks` Whether to always generate soft linebreaks for \n in Chunks.
`private boolean` | `alwaysUseUnicode` Whether to always translate characters past 'z' into unicode representations.
`private int` | `dataCacheStyle` How to cache the document during generation.
`private RtfDocument` | `document` The RtfDocument this RtfDocumentSettings belongs to.
`private boolean` | `imagePDFConformance` Whether images should be written in order to mimick the PDF output.
`private boolean` | `outputDebugLineBreaks` Whether to output the line breaks that make the rtf document source more readable.
`private boolean` | `outputTableRowDefinitionAfter` Whether to also output the table row definition after the cell content.
`private boolean` | `writeImageScalingInformation` Whether to write image scaling information.

Constructor Summary
`RtfDocumentSettings(RtfDocument document)` Constructs a new RtfDocumentSettings object.

Method Summary
`int` | `getDataCacheStyle()` Gets the current data cache style.
`boolean` | `isAlwaysGenerateSoftLinebreaks()` Gets whether all linebreaks inside Chunks are generated as soft linebreaks.
`boolean` | `isAlwaysUseUnicode()` Gets whether all characters bigger than 'z' are represented as unicode.
`boolean` | `isImagePDFConformance()` Gets the current setting on image PDF conformance.
`boolean` | `isOutputDebugLineBreaks()` Gets whether to output the line breaks for increased rtf document readability.
`boolean` | `isOutputTableRowDefinitionAfter()` Gets whether the table row definition should also be written after the cell content.
`boolean` | `isWriteImageScalingInformation()` Gets whether to write scaling information for images.
`void` | `registerParagraphStyle(RtfParagraphStyle rtfParagraphStyle)` Registers the RtfParagraphStyle for further use in the document.
`void` | `setAlwaysGenerateSoftLinebreaks(boolean alwaysGenerateSoftLinebreaks)` Sets whether to always generate soft linebreaks.
`void` | `setAlwaysUseUnicode(boolean alwaysUseUnicode)` Sets whether to represent all characters bigger than 'z' as unicode.
`void` | `setDataCacheStyle(int dataCacheStyle)` Sets the data cache style.
`void` | `setImagePDFConformance(boolean imagePDFConformance)` Sets the image PDF conformance setting.
`void` | `setOptionsForMSWord2000And97()` Set the options required for RTF documents to display correctly in MS Word 2000 and MS Word 97.
`void` | `setOptionsForMSWordForMac()` Set the options required for RTF documents to display correctly in MS Word for Mac.
`void` | `setOptionsForMSWordXP()` Set the options required for RTF documents to display correctly in MS Word XP (2002).
`void` | `setOptionsForOpenOfficeOrg()` Set the options required for RTF documents to display correctly in OpenOffice.Org Writer.
`void` | `setOutputDebugLineBreaks(boolean outputDebugLineBreaks)` Sets whether to output the line breaks for increased rtf document readability.
`void` | `setOutputTableRowDefinitionAfter(boolean outputTableRowDefinitionAfter)` Sets whether the table row definition should also be written after the cell content.
`void` | `setWriteImageScalingInformation(boolean writeImageScalingInformation)` Sets whether image scaling information should be written.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### document

    private RtfDocument document

  The RtfDocument this RtfDocumentSettings belongs to.

### outputTableRowDefinitionAfter

    private boolean outputTableRowDefinitionAfter

  Whether to also output the table row definition after the cell content.

### outputDebugLineBreaks

    private boolean outputDebugLineBreaks

  Whether to output the line breaks that make the rtf document source more readable.

### alwaysGenerateSoftLinebreaks

    private boolean alwaysGenerateSoftLinebreaks

  Whether to always generate soft linebreaks for \n in Chunks.

### alwaysUseUnicode

    private boolean alwaysUseUnicode

  Whether to always translate characters past 'z' into unicode representations.

### dataCacheStyle

    private int dataCacheStyle

  How to cache the document during generation. Defaults to RtfDataCache.CACHE_MEMORY;

### writeImageScalingInformation

    private boolean writeImageScalingInformation

  Whether to write image scaling information. This is required for Word 2000, 97 and Word for Mac

### imagePDFConformance

    private boolean imagePDFConformance

  Whether images should be written in order to mimick the PDF output.

Constructor Detail

### RtfDocumentSettings

    public RtfDocumentSettings(RtfDocument document)

  Constructs a new RtfDocumentSettings object.

  Parameters:
    `document` - The RtfDocument this RtfDocumentSettings belong to.

Method Detail

### isOutputDebugLineBreaks

    public boolean isOutputDebugLineBreaks()

  Gets whether to output the line breaks for increased rtf document readability.

  Returns:
    Whether to output line breaks.

### setOutputDebugLineBreaks

    public void setOutputDebugLineBreaks(boolean outputDebugLineBreaks)

  Sets whether to output the line breaks for increased rtf document readability. Some line breaks may be added where the rtf specification demands it.

  Parameters:
    `outputDebugLineBreaks` - The outputDebugLineBreaks to set.

### isOutputTableRowDefinitionAfter

    public boolean isOutputTableRowDefinitionAfter()

  Gets whether the table row definition should also be written after the cell content.

  Returns:
    Returns the outputTableRowDefinitionAfter.

### setOutputTableRowDefinitionAfter

    public void setOutputTableRowDefinitionAfter(boolean outputTableRowDefinitionAfter)

  Sets whether the table row definition should also be written after the cell content. This is recommended to be set to `true` if you need Word2000 compatiblity and `false` if the document should be opened in OpenOffice.org Writer.

  Parameters:
    `outputTableRowDefinitionAfter` - The outputTableRowDefinitionAfter to set.

### isAlwaysGenerateSoftLinebreaks

    public boolean isAlwaysGenerateSoftLinebreaks()

  Gets whether all linebreaks inside Chunks are generated as soft linebreaks.

  Returns:
    `True` if soft linebreaks are generated, `false` for hard linebreaks.

### setAlwaysGenerateSoftLinebreaks

    public void setAlwaysGenerateSoftLinebreaks(boolean alwaysGenerateSoftLinebreaks)

  Sets whether to always generate soft linebreaks.

  Parameters:
    `alwaysGenerateSoftLinebreaks` - Whether to always generate soft linebreaks.

### isAlwaysUseUnicode

    public boolean isAlwaysUseUnicode()

  Gets whether all characters bigger than 'z' are represented as unicode.

  Returns:
    `True` if unicode representation is used, `false` otherwise.

### setAlwaysUseUnicode

    public void setAlwaysUseUnicode(boolean alwaysUseUnicode)

  Sets whether to represent all characters bigger than 'z' as unicode.

  Parameters:
    `alwaysUseUnicode` - `True` to use unicode representation, `false` otherwise.

### registerParagraphStyle

    public void registerParagraphStyle(RtfParagraphStyle rtfParagraphStyle)

  Registers the RtfParagraphStyle for further use in the document. This does not need to be done for the default styles in the RtfParagraphStyle object. Those are added automatically.

  Parameters:
    `rtfParagraphStyle` - The RtfParagraphStyle to register.

### setDataCacheStyle

    public void setDataCacheStyle(int dataCacheStyle)

  Sets the data cache style. This controls where the document is cached during generation. Two cache styles are supported:
  - RtfDataCache.CACHE_MEMORY: The document is cached in memory. This is fast, but places a limit on how big the document can get before causing OutOfMemoryExceptions.
  - RtfDataCache.CACHE_DISK: The document is cached on disk. This is slower than the CACHE_MEMORY setting, but the document size is now only constrained by the amount of free disk space.

  Parameters:
    `dataCacheStyle` - The data cache style to set. Valid constants can be found in RtfDataCache.
  See Also:
    `RtfDataCache`

### getDataCacheStyle

    public int getDataCacheStyle()

  Gets the current data cache style.

  Returns:
    The current data cache style.

### isImagePDFConformance

    public boolean isImagePDFConformance()

  Gets the current setting on image PDF conformance.

  Returns:
    The current image PDF conformance.

### setImagePDFConformance

    public void setImagePDFConformance(boolean imagePDFConformance)

  Sets the image PDF conformance setting. By default images will be added as if they were displayed with 72dpi. Set this to `false` if images should be generated with the Word default DPI setting.

  Parameters:
    `imagePDFConformance` - `True` if PDF equivalence is desired, `false` for the default Word display.

### isWriteImageScalingInformation

    public boolean isWriteImageScalingInformation()

  Gets whether to write scaling information for images.

  Returns:
    Whether to write scaling information for images.

### setWriteImageScalingInformation

    public void setWriteImageScalingInformation(boolean writeImageScalingInformation)

  Sets whether image scaling information should be written. This needs to be set to `true` MS Word 2000, MS Word 97 and Word for Mac.

  Parameters:
    `writeImageScalingInformation` - Whether to write image scaling information.

### setOptionsForMSWord2000And97

    public void setOptionsForMSWord2000And97()

  Set the options required for RTF documents to display correctly in MS Word 2000 and MS Word 97. Sets `outputTableRowDefinitionAfter = true` and `writeImageScalingInformation = true`.

### setOptionsForMSWordForMac

    public void setOptionsForMSWordForMac()

  Set the options required for RTF documents to display correctly in MS Word for Mac. Sets `writeImageScalingInformation = true`.

### setOptionsForMSWordXP

    public void setOptionsForMSWordXP()

  Set the options required for RTF documents to display correctly in MS Word XP (2002). Sets `writeImageScalingInformation = false`.

### setOptionsForOpenOfficeOrg

    public void setOptionsForOpenOfficeOrg()

  Set the options required for RTF documents to display correctly in OpenOffice.Org Writer. Sets `outputTableRowDefinitionAfter = false`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD